Skip to content

Get Subscriptions

GET
/v1/subscriptions

List subscriptions belonging to the authenticated merchant division. Results are limited to only show subscriptions authorized by the X-API-Key and X-Publishable-Key.

Authorization

X-API-Key
X-API-Key<token>

Admins and Developers can obtain their Bolt API key from the Bolt Merchant Dashboard.

In: header

Query Parameters

seller_id?string

For Bolt Connect marketplace integrations, the seller's external ID. When provided, the request acts on the seller's division rather than the caller's own division. Takes precedence over the X-Bolt-Connect-Seller-Id header if both are set.

product_ids?string

Filter to subscriptions for these subscription product IDs. Comma-separated.

plan_ids?string

Filter to subscriptions on these plan IDs. Comma-separated.

emails?string

Filter to subscriptions for these shopper emails. Comma-separated.

statuses?array<>

Filter to subscriptions with these statuses. Comma-separated.

page?integer

The page number to retrieve, starting at 1.

Range1 <= value
Default1
page_size?integer

The number of subscriptions to return per page.

Range1 <= value <= 400
Default400

Header Parameters

X-Publishable-Key*string

The publicly viewable identifier used to identify a merchant division. This key is found in the Developer > API section of the Bolt Merchant Dashboard.

X-Bolt-Connect-Seller-Id?string

For Bolt Connect marketplace integrations, the seller's external ID. When provided, the request acts on the seller's division rather than the caller's own division. Ignored if the seller_id query parameter is also set.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/subscriptions" \  -H "X-Publishable-Key: string"
{  "subscriptions": [    {      "id": "sub_1a2b3c4d5e",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "merchant_name": "Bolt Swag Store",      "email": "shopper@example.com",      "status_details": {        "type": "active",        "reason": "payment_failed"      },      "payment_method": {        "card_last_4": "4242",        "card_network": "visa"      },      "next_renewal_date": "2019-08-24T14:15:22Z",      "next_payment_retry_date": "2019-08-24T14:15:22Z",      "canceled_date": "2019-08-24T14:15:22Z",      "paused_date": "2019-08-24T14:15:22Z",      "plan": {        "id": "plan_9f8e7d6c5b",        "name": "Monthly",        "sku": "SUB-MONTHLY-001",        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z",        "frequency": 1,        "frequency_unit": "month",        "product_id": "prod_3c2b1a0f9e",        "checkout_link": "https://subscribe.boltapp.com/plans/plan_9f8e7d6c5b",        "initial_period": {          "frequency": 14,          "frequency_unit": "day"        }      },      "product_names": [        "string"      ],      "total_amount": {        "amount": 754,        "currency": "USD",        "currency_symbol": "$"      },      "metadata": {        "property1": "string",        "property2": "string"      }    }  ],  "pagination": {    "page_size": 25,    "total_count": 132  }}